MatrixFftCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixFftCommand:

## Public Member Functions

| MatrixFftCommand (bool inverse, MatrixModel *model, int startRow, int endRow, int startCol, int endCol, double *data, const QString &text)
virtual void | redo ()
Public Member Functions inherited from MatrixUndoCommand
| MatrixUndoCommand (MatrixModel *model, Matrix::Operation op, int startRow, int endRow, int startCol, int endCol, double *data, const QString &text)
virtual void | undo ()
| ~MatrixUndoCommand ()

## Private Attributes

bool | d_inverse

## Additional Inherited Members

Protected Attributes inherited from MatrixUndoCommand
double * | d_data
int | d_end_col
int | d_end_row
MatrixModel * | d_model
Matrix::Operation | d_operation
int | d_start_col
int | d_start_row

## Constructor & Destructor Documentation

## MatrixFftCommand()

MatrixFftCommand::MatrixFftCommand | ( | bool | inverse,
|  | MatrixModel * | model,
|  | int | startRow,
|  | int | endRow,
|  | int | startCol,
|  | int | endCol,
|  | double * | data,
|  | const QString & | text
| ) |  |

## Member Function Documentation

## redo()

void MatrixFftCommand::redo | ( |  | ) |

virtual

Reimplemented from MatrixUndoCommand.

References d_inverse, MatrixUndoCommand::d_model, and MatrixModel::fft().

## Member Data Documentation

## d_inverse

bool MatrixFftCommand::d_inverse

private

Referenced by redo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp